Вопросы про porteus

Добро пожаловать!

Moderator: Blaze

dZ0TFR
Samurai
Samurai
Posts: 120
Joined: 07 Apr 2019, 07:16
Distribution: Porteus-4.0

Вопросы про porteus

Post#346 by dZ0TFR » 28 Jan 2020, 12:20

genom2000,

1) Сорри, тогда попробовать от root ввести:

Code: Select all

chmod u+s /sbin/ifconfig
и в .bashrc прописать не просто

Code: Select all

ifconfig eth0 down
а

Code: Select all

/sbin/ifconfig eth0 down
Нужно команду прописать для всех пользователей системы под которыми работаете. Это у нас guest и root. Значит, нужно дописать в:

Code: Select all

/home/guest/.bashrc
и

Code: Select all

/root/.bashrc
2) Чтобы работало после перезагрузки, должен ещё существовать файл .bash_profile (находится рядом с .bashrc в той же директории) и этот файл должен содержать код:

Code: Select all

if [ -f ~/.bashrc ]; then
        source ~/.bashrc
fi
Porteus-4.0-x86

Flexdj
Black ninja
Black ninja
Posts: 53
Joined: 10 Mar 2017, 13:05
Distribution: Porteus
Location: ростов

Вопросы про porteus

Post#347 by Flexdj » 28 Jan 2020, 22:05

Пытаюсь собрать sslstrip в porteus 3.2.2-i586 ,уже третий день не чего не выходит .
Вот что уже собрал https://drive.google.com/drive/folders/ ... ZIQAqiDJtv
После запуска всех модулей портеус не грузится.

dZ0TFR
Samurai
Samurai
Posts: 120
Joined: 07 Apr 2019, 07:16
Distribution: Porteus-4.0

Вопросы про porteus

Post#348 by dZ0TFR » 29 Jan 2020, 02:26

Flexdj, покажите

Code: Select all

cat slackware-version
Судя по всему, у вас пакеты под Slackware-14.2. Тут товарищ dic несколькими сообщениями ранее спрашивал под Porteus-3.1, там зависимости несколько разные (у него под Slackware-14.1). Вообщем, зависимости для Porteus-3.2.2-i586 с которыми получилось запустить sslstrip:

Code: Select all

Automat-0.6.0-i586-1ponce.xzm
Sphinx-1.6.3-i586-1_slonly.xzm
asn1crypto-0.21.1-i586-1_slonly.xzm
attrs-18.2.0-i586-1ponce.xzm
cffi-1.11.5-i586-1ponce.xzm
constantly-15.1.0-i586-1_slonly.xzm
cryptography-2.1.4-i586-1ponce.xzm
docutils-0.14-i586-1ponce.xzm
enum34-1.1.6-i586-1_slonly.xzm
hyperlink-17.2.0-i586-1_slonly.xzm
idna-2.6-i586-1ponce.xzm
incremental-17.5.0-i586-1ponce.xzm
ipaddress-1.0.17-i586-1_slonly.xzm
mistune-0.8.4-i586-1ponce.xzm
packaging-16.8-i586-1_slonly.xzm
pyOpenSSL-17.5.0-i586-1ponce.xzm
pyasn1-0.4.4-i586-1ponce.xzm
pycparser-2.19-i586-1ponce.xzm
pyparsing-2.2.0-i586-1ponce.xzm
python-2.7.17-i586-1_slack14.2.xzm
python-m2r-0.2.1-i586-1ponce.xzm
python-twisted-17.9.0-i586-1ponce.xzm
python3-3.7.2-i586-1ponce.xzm
setuptools-scm-3.3.3-i586-1ponce.xzm
six-1.12.0-i586-1ponce.xzm
sslstrip-0.9-i586-1_slonly.xzm
sslstrip.log
zope.interface-4.1.2-i586-1_slonly.xzm
Скачать готовый для Porteus-3.2.2-i586: sslstrip-Porteus.3.2.2-i586.xzm

Я не собирал пакеты, просто скачивал готовые. Иногда качаются битые пакеты/модули (может поэтому у вас и не собиралось). Битый пакет, или не битый, проверяю после активации каждого модуля так:

Code: Select all

less /var/log/package/six-1.11.0-i586
Если битый, то внутри кроме заголовка ничего нет.

Но у вас похоже просто мало зависимостей собрано. Я смотрю зависимости на slackbuilds.org
Porteus-4.0-x86

dik
White ninja
White ninja
Posts: 26
Joined: 25 Dec 2019, 07:26
Distribution: porteus

Вопросы про porteus

Post#349 by dik » 29 Jan 2020, 12:06

долго мучаясь, установил недостающие пакеты sslstrip, запуск:

Code: Select all

root@porteus:~# sslstrip
Traceback (most recent call last):
  File "/usr/bin/sslstrip", line 27, in <module>
    from twisted.web import http
  File "/usr/lib64/python2.7/site-packages/twisted/web/http.py", line 92, in <module>
    from twisted.internet import interfaces, reactor, protocol, address
  File "/usr/lib64/python2.7/site-packages/twisted/internet/reactor.py", line 38, in <module>
    from twisted.internet import default
  File "/usr/lib64/python2.7/site-packages/twisted/internet/default.py", line 56, in <module>
    install = _getInstallFunction(platform)
  File "/usr/lib64/python2.7/site-packages/twisted/internet/default.py", line 44, in _getInstallFunction
    from twisted.internet.epollreactor import install
  File "/usr/lib64/python2.7/site-packages/twisted/internet/epollreactor.py", line 24, in <module>
    from twisted.internet import posixbase
  File "/usr/lib64/python2.7/site-packages/twisted/internet/posixbase.py", line 23, in <module>
    from twisted.internet import error, udp, tcp
  File "/usr/lib64/python2.7/site-packages/twisted/internet/tcp.py", line 29, in <module>
    from twisted.internet._newtls import (
  File "/usr/lib64/python2.7/site-packages/twisted/internet/_newtls.py", line 21, in <module>
    from twisted.protocols.tls import TLSMemoryBIOFactory, TLSMemoryBIOProtocol
  File "/usr/lib64/python2.7/site-packages/twisted/protocols/tls.py", line 41, in <module>
    from OpenSSL.SSL import Error, ZeroReturnError, WantReadError
  File "/usr/lib64/python2.7/site-packages/OpenSSL/__init__.py", line 8, in <module>
    from OpenSSL import crypto, SSL
  File "/usr/lib64/python2.7/site-packages/OpenSSL/SSL.py", line 204, in <module>
    if _lib.Cryptography_HAS_SSL_ST:
AttributeError: 'module' object has no attribute 'Cryptography_HAS_SSL_ST'
ошибка 'module' object has no attribute 'Cryptography_HAS_SSL_ST', поставил PIP, затем pip install pyOpenSSL, теперь зауск:

Code: Select all

root@porteus:~# sslstrip
/usr/lib64/python2.7/site-packages/cryptography-2.8-py2.7-linux-x86_64.egg/cryptography/hazmat/primitives/constant_time.py:26: CryptographyDeprecationWarning: Support for your Python version is deprecated. The next version of cryptography will remove support. Please upgrade to a release (2.7.7+) that supports hmac.compare_digest as soon as possible.
  utils.PersistentlyDeprecated2018,
/usr/lib64/python2.7/site-packages/cryptography-2.8-py2.7-linux-x86_64.egg/cryptography/hazmat/bindings/openssl/binding.py:163: CryptographyDeprecationWarning: OpenSSL version 1.0.1 is no longer supported by the OpenSSL project, please upgrade. The next version of cryptography will drop support for it.
  utils.CryptographyDeprecationWarning
:0: UserWarning: You do not have a working installation of the service_identity module: 'No module named pyasn1_modules.rfc2459'.  Please install it from <https://pypi.python.org/pypi/service_identity> and make sure all of its dependencies are satisfied.  Without the service_identity module and a recent enough pyOpenSSL to support it, Twisted can perform only rudimentary TLS client hostname verification.  Many valid certificate/hostname mappings may be rejected.

sslstrip 0.9 by Moxie Marlinspike running...
вроде как запустился, но ошибки опять полетели

dZ0TFR
Samurai
Samurai
Posts: 120
Joined: 07 Apr 2019, 07:16
Distribution: Porteus-4.0

Вопросы про porteus

Post#350 by dZ0TFR » 29 Jan 2020, 13:04

Porteus-4.0-x86

dik
White ninja
White ninja
Posts: 26
Joined: 25 Dec 2019, 07:26
Distribution: porteus

Вопросы про porteus

Post#351 by dik » 29 Jan 2020, 16:46

dZ0TFR wrote:
29 Jan 2020, 13:04
dik, sslstrip-0.9-i486-bundle.xzm
Пробовал не запускается

Flexdj
Black ninja
Black ninja
Posts: 53
Joined: 10 Mar 2017, 13:05
Distribution: Porteus
Location: ростов

Вопросы про porteus

Post#352 by Flexdj » 29 Jan 2020, 18:28

dZ0TFR wrote:
29 Jan 2020, 02:26
Flexdj, покажите

Code: Select all

cat slackware-version
Судя по всему, у вас пакеты под Slackware-14.2. Тут товарищ dic несколькими сообщениями ранее спрашивал под Porteus-3.1, там зависимости несколько разные (у него под Slackware-14.1). Вообщем, зависимости для Porteus-3.2.2-i586 с которыми получилось запустить sslstrip:

Code: Select all

Automat-0.6.0-i586-1ponce.xzm
Sphinx-1.6.3-i586-1_slonly.xzm
asn1crypto-0.21.1-i586-1_slonly.xzm
attrs-18.2.0-i586-1ponce.xzm
cffi-1.11.5-i586-1ponce.xzm
constantly-15.1.0-i586-1_slonly.xzm
cryptography-2.1.4-i586-1ponce.xzm
docutils-0.14-i586-1ponce.xzm
enum34-1.1.6-i586-1_slonly.xzm
hyperlink-17.2.0-i586-1_slonly.xzm
idna-2.6-i586-1ponce.xzm
incremental-17.5.0-i586-1ponce.xzm
ipaddress-1.0.17-i586-1_slonly.xzm
mistune-0.8.4-i586-1ponce.xzm
packaging-16.8-i586-1_slonly.xzm
pyOpenSSL-17.5.0-i586-1ponce.xzm
pyasn1-0.4.4-i586-1ponce.xzm
pycparser-2.19-i586-1ponce.xzm
pyparsing-2.2.0-i586-1ponce.xzm
python-2.7.17-i586-1_slack14.2.xzm
python-m2r-0.2.1-i586-1ponce.xzm
python-twisted-17.9.0-i586-1ponce.xzm
python3-3.7.2-i586-1ponce.xzm
setuptools-scm-3.3.3-i586-1ponce.xzm
six-1.12.0-i586-1ponce.xzm
sslstrip-0.9-i586-1_slonly.xzm
sslstrip.log
zope.interface-4.1.2-i586-1_slonly.xzm
Скачать готовый для Porteus-3.2.2-i586: sslstrip-Porteus.3.2.2-i586.xzm

Я не собирал пакеты, просто скачивал готовые. Иногда качаются битые пакеты/модули (может поэтому у вас и не собиралось). Битый пакет, или не битый, проверяю после активации каждого модуля так:

Code: Select all

less /var/log/package/six-1.11.0-i586
Если битый, то внутри кроме заголовка ничего нет.

Но у вас похоже просто мало зависимостей собрано. Я смотрю зависимости на slackbuilds.org
Я собирал тоже что и вы ,только у меня 6 зависимостей других версий
asn1crypto-0.24.0-i586-1_SBo.xzm
docutils-0.14-i586-1_SBo.xzm
hyperlink-17.3.1-i586-1_SBo.xzm
ipaddress-1.0.22-i586-1_SBo.xzm
packaging-17.1-i586-1_SBo.xzm
pyparsing-2.3.1-i586-1_SBo.
----------------------------------------------------------------------------------------------------------
Ваш модуль не заработал...
Кое что странное запускаю 2 зависимости к sslstrip-0.9-i486-1_SBo.xzm и все работает,может все остальные зависимости просто были в системе х.з
service_identity-16.0.0-i586-1_slonly.xzm
pyasn1-modules-0.0.8-i586-1dj.xzm

dZ0TFR
Samurai
Samurai
Posts: 120
Joined: 07 Apr 2019, 07:16
Distribution: Porteus-4.0

Вопросы про porteus

Post#353 by dZ0TFR » 30 Jan 2020, 00:08

Flexdj, кстати про service_identity-16.0.0-i586-1_slonly.xzm не знал... спасибо. У меня ругалась на нехватку этого модуля. А вы где зависимости смотрите?
Porteus-4.0-x86

Flexdj
Black ninja
Black ninja
Posts: 53
Joined: 10 Mar 2017, 13:05
Distribution: Porteus
Location: ростов

Вопросы про porteus

Post#354 by Flexdj » 30 Jan 2020, 06:14

dZ0TFR wrote:
30 Jan 2020, 00:08
Flexdj, кстати про service_identity-16.0.0-i586-1_slonly.xzm не знал... спасибо. У меня ругалась на нехватку этого модуля. А вы где зависимости смотрите?
Ищу на этом сайте https://slackware.pkgs.org
Что хоть собираешь ?

dZ0TFR
Samurai
Samurai
Posts: 120
Joined: 07 Apr 2019, 07:16
Distribution: Porteus-4.0

Вопросы про porteus

Post#355 by dZ0TFR » 30 Jan 2020, 07:27

Flexdj, да ничего пока не собираю, в основном качаю готовые бинарники.

А где там смотреть зависимости, вот мне надо по pyOpenSSL посмотреть, в упор не вижу https://slackware.pkgs.org/14.2/ponce-i ... e.txz.html
под каким пунктом там?
Porteus-4.0-x86

dZ0TFR
Samurai
Samurai
Posts: 120
Joined: 07 Apr 2019, 07:16
Distribution: Porteus-4.0

Вопросы про porteus

Post#356 by dZ0TFR » 30 Jan 2020, 16:50

Как в портеусе редактировать fstab?
Porteus-4.0-x86

User avatar
Blaze
DEV Team
DEV Team
Posts: 2878
Joined: 28 Dec 2010, 11:31
Distribution: ⟰ Porteus current ☯ all DEs ☯
Location: ☭ Russian Federation, Lipetsk region, Dankov
Contact:

Вопросы про porteus

Post#357 by Blaze » 30 Jan 2020, 18:12

dZ0TFR wrote:
30 Jan 2020, 16:50
Как в портеусе редактировать fstab?
Использовать чит-код mopt To remount bootable partion of sd card in read only form (Пост jssouza #75634) или, например, применить echo, sed и.т., для вмешательства в fstab.
Linux 5.4.8-porteus #1 SMP Sun Jan 5 09:14:47 UTC 2020 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16

dZ0TFR
Samurai
Samurai
Posts: 120
Joined: 07 Apr 2019, 07:16
Distribution: Porteus-4.0

Вопросы про porteus

Post#358 by dZ0TFR » 30 Jan 2020, 18:37

Blaze, спасибо.
Porteus-4.0-x86

dik
White ninja
White ninja
Posts: 26
Joined: 25 Dec 2019, 07:26
Distribution: porteus

Вопросы про porteus

Post#359 by dik » 31 Jan 2020, 17:18

dZ0TFR wrote:
29 Jan 2020, 02:26
Flexdj, покажите

Code: Select all

cat slackware-version
Судя по всему, у вас пакеты под Slackware-14.2. Тут товарищ dic несколькими сообщениями ранее спрашивал под Porteus-3.1, там зависимости несколько разные (у него под Slackware-14.1). Вообщем, зависимости для Porteus-3.2.2-i586 с которыми получилось запустить sslstrip:

Code: Select all

Automat-0.6.0-i586-1ponce.xzm
Sphinx-1.6.3-i586-1_slonly.xzm
asn1crypto-0.21.1-i586-1_slonly.xzm
attrs-18.2.0-i586-1ponce.xzm
cffi-1.11.5-i586-1ponce.xzm
constantly-15.1.0-i586-1_slonly.xzm
cryptography-2.1.4-i586-1ponce.xzm
docutils-0.14-i586-1ponce.xzm
enum34-1.1.6-i586-1_slonly.xzm
hyperlink-17.2.0-i586-1_slonly.xzm
idna-2.6-i586-1ponce.xzm
incremental-17.5.0-i586-1ponce.xzm
ipaddress-1.0.17-i586-1_slonly.xzm
mistune-0.8.4-i586-1ponce.xzm
packaging-16.8-i586-1_slonly.xzm
pyOpenSSL-17.5.0-i586-1ponce.xzm
pyasn1-0.4.4-i586-1ponce.xzm
pycparser-2.19-i586-1ponce.xzm
pyparsing-2.2.0-i586-1ponce.xzm
python-2.7.17-i586-1_slack14.2.xzm
python-m2r-0.2.1-i586-1ponce.xzm
python-twisted-17.9.0-i586-1ponce.xzm
python3-3.7.2-i586-1ponce.xzm
setuptools-scm-3.3.3-i586-1ponce.xzm
six-1.12.0-i586-1ponce.xzm
sslstrip-0.9-i586-1_slonly.xzm
sslstrip.log
zope.interface-4.1.2-i586-1_slonly.xzm
Скачать готовый для Porteus-3.2.2-i586: sslstrip-Porteus.3.2.2-i586.xzm

Я не собирал пакеты, просто скачивал готовые. Иногда качаются битые пакеты/модули (может поэтому у вас и не собиралось). Битый пакет, или не битый, проверяю после активации каждого модуля так:

Code: Select all

less /var/log/package/six-1.11.0-i586
Если битый, то внутри кроме заголовка ничего нет.

Но у вас похоже просто мало зависимостей собрано. Я смотрю зависимости на slackbuilds.org
Придется собирать для 3.1 по вашим зависимостям, у меня не состыковки между криптографии питоном и cffi.То питон повысить то криптографии.Вечно ошибки.

Почему у вас питон2 и питон3 модули, он их требует?

Как собирается модуль с гитхаба и можно ли это сделать?

Как объединить несколько модулей в один?

dZ0TFR
Samurai
Samurai
Posts: 120
Joined: 07 Apr 2019, 07:16
Distribution: Porteus-4.0

Вопросы про porteus

Post#360 by dZ0TFR » 01 Feb 2020, 03:52

dik, добавь еще зависимости service_identity-16.0.0-i586-1_slonly.xzm
pyasn1-modules-0.0.8-i586-1dj.xzm
к перечисленным мной выше.

Просит вроде 2 версии питона (2 и 3). Не помню. Питон 3 я ставил чтобы можно было сделать pip3 install sslstrip или pip3 install cryptography с гитхаба. Короче чтобы ставить пакеты, которые не мог найти.

Посмотреть зависимости: заходим slackbuilds.org -- вбиваем sslstrip -- выбираем версию 14.1(это портеус 3.1) или 14.2 (это портеус 3.2 и 4.0) -- смотрим слово "This requires" - это и есть зависимости. Нужно ещё заходить внутрь этих зависимостей. У них есть свои зависимости и т.д

как модули с гитхаба собирать я не знаю.

как собрать из нескольких модулей один:
создать папку (допустим sslstrip):

Code: Select all

mkdir sslstrip
извлекаем из пакета в эту папку каждый пакет:

Code: Select all

txz2dir python-2.7.17.txz sslstrip

Code: Select all

txz2dir cryptography.txz sslstrip

Code: Select all

txz2dir cffi-1.11.17.txz sslstrip
и т.д. потом из этой полной папки sslstrip собираем xzm модуль:

Code: Select all

dir2xzm sslstrip module-sslstrip.xzm
пишу по памяти со смарта могу где то ошибатся.
Porteus-4.0-x86

Post Reply